html,
body {
    width: 100vw;
    min-height: 100vh;
    overflow-x: hidden;
}

html {
    font-family: arial, sans-serif;
}

.kode4demo-section {
    //margin: 20px;
    //border: dotted 1px #ccc;
    padding: 20px;
}

.kode4demo-spacer-v {
    height: 25px;
}

h2 {
    margin: 0;
    padding: 0;
    line-height: 1.5em;
}

.kode4demo-menuitem {
    display: inline-block;
    cursor: pointer;

    + .kode4demo-menuitem {
        margin-left: 10px;
    }
}

.k4d-button {
    display: inline-block;
    padding: 4px;
    border: solid 2px #000;
    cursor: pointer
}

.k4d-button-inverted {
    display: inline-block;
    padding: 4px;
    border: solid 2px #eee;
    color: #eee;
    cursor: pointer;
    line-height: 1.7em;
    font-size: 16px;
}

kode4-sidemenu::part(container),
.k4d-sidemenu {
    background-color: #eee;
}

/* MENU */

.kode4-menu {

}

.kode4-menu-item {
    display: block;
    padding: 5px 20px;
    color: var(--main-color-secondary);
    text-transform: capitalize;

    &:hover,
    &.kode4-menu-item-active {
        color: var(--main-color-primary);
    }

}

.kode4-sub-menu-item {
    display: block;
    padding: 1px 20px;

    &:hover,
    &.kode4-menu-item-active {
        color: var(--main-color-primary);
    }
}


.k4d-header,
.k4d-footer {
    padding: 10px;
    background-color: #333;
    color: #eee;
}